package dev.fitko.fitconnect.client.sender.steps.encrypted;

import dev.fitko.fitconnect.client.sender.model.EncryptedAttachment;
import dev.fitko.fitconnect.client.sender.model.SendableEncryptedSubmission;

import java.util.List;
import java.util.Map;
import java.util.UUID;

public interface EncryptedAttachmentsStep {

    /**
     * Add a list of encrypted attachments to the submission to send.
     *
     * @param attachments list of encrypted attachments
     *
     * @return the next step where additional encrypted data can be added to the submission
     */
    EncryptedAttachmentsStep addEncryptedAttachments(List<EncryptedAttachment> attachments);

    /**
     * Add an encrypted attachment to the submission to send.
     *
     * @param attachment encrypted attachment to add
     * @return the next step where additional data can be added to the submission
     */
    EncryptedAttachmentsStep addEncryptedAttachment(EncryptedAttachment attachment);

    SendableEncryptedSubmission build();
}
